Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.client.event.sound
Class PlaySoundEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.client.event.sound.SoundEvent
              net.minecraftforge.client.event.sound.SoundResultEvent
                  net.minecraftforge.client.event.sound.PlaySoundEvent

    public class PlaySoundEvent

extends SoundResultEvent

Raised when the SoundManager tries to play a normal sound, dogs barking, footsteps, etc. THe majority of all sounds during normal game play. If you return null from this function it will prevent the sound from being played, you can return a different entry if you want to change the sound being played.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`float` | `x`
`float` | `y`
`float` | `z`

Fields inherited from class net.minecraftforge.client.event.sound.SoundResultEvent
`manager, name, pitch, result, source, volume`

Constructor Summary
`PlaySoundEvent(SoundManager manager, SoundPoolEntry source, String name, float x, float y, float z, float volume, float pitch)`

Method Summary

Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent
`getResult`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public final float x

### y

    public final float y

### z

    public final float z

Constructor Detail

### PlaySoundEvent

    public PlaySoundEvent(SoundManager manager,
                          SoundPoolEntry source,
                          String name,
                          float x,
                          float y,
                          float z,
                          float volume,
                          float pitch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD